### Function

# EDataServer eds_check_version

since: 2.24

#### Declaration [src]

    const gchar*
    eds_check_version (
      guint required_major,
      guint required_minor,
      guint required_micro
    )

#### Description [src]

Checks that the Evolution-Data-Server library in use is compatible with the given version. Generally you would pass in the constants

# EDS_MAJOR_VERSION, #EDS_MINOR_VERSION, #EDS_MICRO_VERSION as the three

arguments to this function. That produces a check that the library in use is compatible with the version of Evolution-Data-Server the application or module was compiled against.

Available since: 2.24

#### Parameters

`required_major`

  Type: `guint`

  The required major version.

`required_minor`

  Type: `guint`

  The required minor version.

`required_micro`

  Type: `guint`

  The required micro version.

#### Return value

Type: `const gchar*`

`NULL` if the Evolution-Data-Server library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by libedataserver and must not be modified or freed.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.